package it.polimi.ingsw.gc14.Model.Cards.TribeCards.Characters;

import it.polimi.ingsw.gc14.Model.Cards.TribeCard;
import it.polimi.ingsw.gc14.Model.Cards.TribeCards.Character;
import it.polimi.ingsw.gc14.Model.Cards.TribeCards.CharacterType;
import it.polimi.ingsw.gc14.Model.Player;

public class Shaman extends Character {

    private int icon;

    /**
     *
     * @return Shaman specific icon
     */
    public int getIcon() {
            return icon;
    }

    /**
     *
     * @param Era shaman era
     * @param icon shaman icon
     */
    public Shaman(int Era, int icon) {
        super(Era, CharacterType.SHAMAN);
        this.icon = icon;
    }
    public Shaman(int Era, int icon, int nMin) {
        super(Era, CharacterType.SHAMAN,nMin);
        this.icon = icon;
    }
    @Override
    public String toString() {
        return super.toString() + "icon: " + String.valueOf(icon);
    }

    @Override
    public Character clone()  {
        return new  Shaman(getEra(), getIcon(), getNMin());
    }

    @Override
    public void insert(Player player)
    {
        player.shamans.add(this);
    }
}
